# Adk2

[![Code Climate](https://codeclimate.com/github/ad2games/adk2/badges/gpa.svg)](https://codeclimate.com/github/ad2games/adk2)
[![Test Coverage](https://codeclimate.com/github/ad2games/adk2/badges/coverage.svg)](https://codeclimate.com/github/ad2games/adk2)
[![Circle CI](https://circleci.com/gh/ad2games/adk2.svg?style=svg)](https://circleci.com/gh/ad2games/adk2)

A ruby wrapper for accessing the ADK2 API.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'adk2'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install adk2

## Usage

To instantiate the client:

```ruby
client = Adk2::Client.new(network_name, username: 'foo@example.com', password: '123456')
```

Alternatively, you can use an API token:

```ruby
client = Adk2::Client.new(network_name, api_token: 'tokentokentoken')
```

In case the API token expires (TODO: when does this happen?), with the
first version the client automatically will fetch a new one. With the
second version it won't.

Use the client to generate a report:

```ruby
client.report(
  'network',
  'networkanalyticsbydate',
  '2015-02-01',
  '2015-02-04'
)
```

## Contributing

1. Fork it (https://github.com/ad2games/adk2/fork)
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
