require 'spec_helper'

describe 'Getting a report', :vcr do
  subject do
    Adk2::Client.new(ENV['ADK2_NETWORK_NAME'], api_token: ENV['ADK2_API_TOKEN'])
  end

  it 'gets the report' do
    report = subject.report(
      'network',
      'networkanalyticsbydate',
      '2014-12-01',
      '2014-12-01'
    )

    expect(report).to eq([
      {
        "date" => "2014-12-01",
        "total_impressions" => "11374",
        "network_impressions" => "11055",
        "fallback_impressions" => "319",
        "fallback_percent" => "2.8046",
        "video_views" => "0",
        "clicks" => "4",
        "conversions" => "2",
        "network_revenue" => "0.459000000",
        "publisher_revenue" => "0.315172000",
        "profit" => "0.143828000",
        "network_ecpm" => "0.0403551960612",
        "publisher_ecpm" => "0.0277098646035",
        "profit_ecpm" => "0.0126453314577",
        "vtr" => "0.0000",
        "ctr" => "0.0352",
        "conversion_rate" => "0.0176",
        "click_conversion_rate" => "50.0000",
        "margin" => "31.3350762527233"
      }
    ])
  end
end
