if ENV['CODECLIMATE_REPO_TOKEN']
  require 'codeclimate-test-reporter'
  CodeClimate::TestReporter.start
end

require 'pry'
require 'vcr'
require './lib/adk2'

ENV['ADK2_NETWORK_NAME'] ||= 'adk2-network-name'
ENV['ADK2_USERNAME'] ||= 'adk2-username'
ENV['ADK2_PASSWORD'] ||= 'adk2-password'
ENV['ADK2_API_TOKEN'] ||= 'adk2-api-key'

RSpec.configure do |config|
  config.expect_with :rspec do |expectations|
    expectations.include_chain_clauses_in_custom_matcher_descriptions = true
  end

  config.mock_with :rspec do |mocks|
    mocks.verify_partial_doubles = true
  end

  config.order = :random
  config.warnings = true
end

VCR.configure do |c|
  c.configure_rspec_metadata!

  c.cassette_library_dir = 'spec/fixtures/vcr'
  c.hook_into :webmock

  c.filter_sensitive_data('adk2-network-name') { ENV['ADK2_NETWORK_NAME'] }
  c.filter_sensitive_data('adk2-api-token') { ENV['ADK2_API_TOKEN'] }
  c.filter_sensitive_data('adk2-username') { ENV['ADK2_USERNAME'] }
  c.filter_sensitive_data('adk2-password') { ENV['ADK2_PASSWORD'] }

  c.ignore_hosts 'codeclimate.com'
end
